--- old/usr/src/cmd/make/Makefile.com	2015-05-20 11:58:26.088206483 -0400
+++ new/usr/src/cmd/make/Makefile.com	2015-05-20 11:58:26.102946644 -0400
@@ -12,7 +12,6 @@
 # Copyright 2015, Richard Lowe.
 
 MAKE_INCLUDE= $(SRC)/cmd/make/include
-MAKE_DEFS= -DSYSV -DINTER -DTEAMWARE_MAKE_CMN
 $(RELEASE_BUILD)MAKE_DEFS += -DNDEBUG
 CFLAGS += $(CCVERBOSE)
 CPPFLAGS += -I$(MAKE_INCLUDE) $(MAKE_DEFS)
--- old/usr/src/cmd/make/bin/doname.cc	2015-05-20 11:58:27.046768267 -0400
+++ new/usr/src/cmd/make/bin/doname.cc	2015-05-20 11:58:27.059270404 -0400
@@ -289,9 +289,7 @@
 {
 	Doname			result = build_dont_know;
 	Chain			out_of_date_list = NULL;
-#ifdef TEAMWARE_MAKE_CMN
 	Chain			target_group;
-#endif
 	Property		old_locals = NULL;
 	register Property	line;
 	Property		command = NULL;
@@ -312,7 +310,6 @@
 		return build_running;
 	}
 	line = get_prop(target->prop, line_prop);
-#ifdef TEAMWARE_MAKE_CMN
 	if (line != NULL) {
 		/*
 		 * If this target is a member of target group and one of the
@@ -333,7 +330,6 @@
 			}
 		}
 	}
-#endif
 	/*
 	 * If the target is a constructed one for a "::" target,
 	 * we need to consider that.
@@ -379,7 +375,6 @@
 		target->state = build_dont_know;
 		restart = true;
 /*
-#ifdef TEAMWARE_MAKE_CMN
 	} else if (parallel &&
 		   keep_state &&
 		   (target->conditional_cnt > 0)) {
@@ -388,7 +383,6 @@
 		target->state = build_running;
 		return build_running;
 	    }
-#endif
  */
 	}
 	/*
@@ -532,7 +526,6 @@
 			case build_failed:
 				result = build_failed;
 				break;
-#ifdef TEAMWARE_MAKE_CMN
 			case build_running:
 				target->state = build_running;
 				add_pending(target,
@@ -548,7 +541,6 @@
 						     0);
 				}
 				return build_running;
-#endif
 			case build_ok:
 				result = build_ok;
 				break;
@@ -569,7 +561,6 @@
 				case build_failed:
 					result = build_failed;
 					break;
-#ifdef TEAMWARE_MAKE_CMN
 				case build_running:
 					target->state = build_running;
 					add_pending(target,
@@ -585,7 +576,6 @@
 							 0);
 				    }
 					return build_running;
-#endif
 				default:
 					/* ALWAYS bind $% for old style */
 					/* ar rules */
@@ -605,7 +595,6 @@
 				case build_failed:
 					result = build_failed;
 					break;
-#ifdef TEAMWARE_MAKE_CMN
 				case build_running:
 					target->state = build_running;
 					add_pending(target,
@@ -622,7 +611,6 @@
 							     0);
 					}
 					return build_running;
-#endif
 				}
 			}
 		}
@@ -655,7 +643,6 @@
 			case build_failed:
 				result = build_failed;
 				break;
-#ifdef TEAMWARE_MAKE_CMN
 			case build_running:
 				target->state = build_running;
 				add_pending(target,
@@ -671,7 +658,6 @@
 						     0);
 				}
 				return build_running;
-#endif
 			}
 		}
 		/* Try to sccs get */
@@ -745,7 +731,6 @@
 					     (Boolean) ((parallel || save_parallel) && !silent));
 		}
 		switch (result) {
-#ifdef TEAMWARE_MAKE_CMN
 		case build_running:
 			add_running(target,
 				    true_target,
@@ -792,7 +777,6 @@
 					     0);
 			}
 			return build_running;
-#endif
 		case build_ok:
 			/* If all went OK set a nice timestamp */
 			if (true_target->stat.time == file_doesnt_exist) {
@@ -946,11 +930,7 @@
  *		wait_name	The Name ".WAIT", compared against
  */
 static Boolean
-#ifdef TEAMWARE_MAKE_CMN
 check_dependencies(Doname *result, Property line, Boolean do_get, Name target, Name true_target, Boolean doing_subtree, Chain *out_of_date_tail, Property old_locals, Boolean implicit, Property *command, Name less, Boolean rechecking_target, Boolean recheck_conditionals)
-#else
-check_dependencies(Doname *result, Property line, Boolean do_get, Name target, Name true_target, Boolean, Chain *out_of_date_tail, Property, Boolean, Property *command, Name less, Boolean rechecking_target, Boolean recheck_conditionals)
-#endif
 {
 	Boolean			dependencies_running;
 	register Dependency	dependency;
@@ -1163,7 +1143,6 @@
 			}
 		}
 	}
-#ifdef TEAMWARE_MAKE_CMN
 	if (dependencies_running) {
 		if (doing_subtree) {
 			if (target->conditional_cnt > 0) {
@@ -1191,7 +1170,6 @@
 			return true;
 		}
 	}
-#endif
 	/*
 	 * Collect the timestamp of the youngest double colon target
 	 * dependency.
@@ -1615,11 +1593,7 @@
 	/* If quest, then exit(1) because the target is out of date */
 	if (quest) {
 		if (posix) {
-#ifdef TEAMWARE_MAKE_CMN
 			result = execute_parallel(line, true);
-#else
-			result = execute_serial(line);
-#endif
 		}
 		exit_status = 1;
 		exit(1);
@@ -1699,18 +1673,13 @@
 	} else if (touch) {
 		result = touch_command(line, target, result);
 		if (posix) {
-#ifdef TEAMWARE_MAKE_CMN
 			result = execute_parallel(line, true);
-#else
-			result = execute_serial(line);
-#endif
 		}
 	} else {
 		/*
 		 * If this is not a touch run, we need to execute the
 		 * proper command(s) for the target.
 		 */
-#ifdef TEAMWARE_MAKE_CMN
 		if (parallel) {
 			if (!parallel_ok(target, true)) {
 				/*
@@ -1722,11 +1691,7 @@
 				 * do this one, else wait.
 				 */
 				if (parallel_process_cnt == 0) {
-#ifdef TEAMWARE_MAKE_CMN
 					result = execute_parallel(line, true, target->localhost);
-#else
-					result = execute_serial(line);
-#endif
 				} else {
 					current_target = NULL;
 					current_line = NULL;
@@ -1743,11 +1708,7 @@
 					return build_running;
 				case build_serial:
 					if (parallel_process_cnt == 0) {
-#ifdef TEAMWARE_MAKE_CMN
 						result = execute_parallel(line, true, target->localhost);
-#else
-						result = execute_serial(line);
-#endif
 					} else {
 						current_target = NULL;
 						current_line = NULL;
@@ -1759,15 +1720,8 @@
 				}
 			}
 		} else {
-#endif
-#ifdef TEAMWARE_MAKE_CMN
 			result = execute_parallel(line, true, target->localhost);
-#else
-			result = execute_serial(line);
-#endif
-#ifdef TEAMWARE_MAKE_CMN
 		}
-#endif
 	}
 	temp_file_name = NULL;
 	if (report_dependencies_level == 0){
--- old/usr/src/cmd/make/bin/globals.cc	2015-05-20 11:58:27.729783910 -0400
+++ new/usr/src/cmd/make/bin/globals.cc	2015-05-20 11:58:27.741841178 -0400
@@ -56,7 +56,7 @@
 	Name		posix_name;
 	Name		svr4_name;
 	Boolean		sdot_target;	/* used to identify s.m(/M)akefile */
-	Boolean		all_parallel;			/* TEAMWARE_MAKE_CMN */
+	Boolean		all_parallel;
 	Boolean		assign_done;
 	int foo;	
 	Boolean		build_failed_seen;
@@ -102,9 +102,7 @@
 	int		job_msg_id;
 	Boolean		keep_state;
 	Name		make_state;
-#ifdef TEAMWARE_MAKE_CMN
 	timestruc_t	make_state_before;
-#endif
 	Dependency	makefiles_used;
 	Name		makeflags;
 //	Boolean		make_state_locked; // Moved to lib/mksh
@@ -117,11 +115,11 @@
 	Boolean		no_action_was_taken = true;	/* true if we've not **
 							** run any command   */
 
-	Boolean		no_parallel = false;		/* TEAMWARE_MAKE_CMN */
+	Boolean		no_parallel = false;
 	Name		no_parallel_name;
 	Name		not_auto;
-	Boolean		only_parallel;			/* TEAMWARE_MAKE_CMN */
-	Boolean		parallel;			/* TEAMWARE_MAKE_CMN */
+	Boolean		only_parallel;
+	Boolean		parallel;
 	Name		parallel_name;
 	Name		localhost_name;
 	int		parallel_process_cnt;
--- old/usr/src/cmd/make/bin/implicit.cc	2015-05-20 11:58:28.140440517 -0400
+++ new/usr/src/cmd/make/bin/implicit.cc	2015-05-20 11:58:28.152606252 -0400
@@ -1158,14 +1158,7 @@
 	}
 	pat_rule->being_expanded = false;
 
-#ifdef TEAMWARE_MAKE_CMN
-	/*
-	 * This #ifdef fixes a dmake bug, but introduces bugid 1136156.
-	 */
 	return result;
-#else
-	return build_ok;
-#endif
 }
 
 /*
--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 11:58:28.668801789 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 11:58:28.681138997 -0400
@@ -67,13 +67,11 @@
 extern	Name		normalize_name(register wchar_t *name_string, register int length);
 
 // From parallel.cc
-#if defined(TEAMWARE_MAKE_CMN)
 #define MAXJOBS_ADJUST_RFE4694000
 
 #ifdef MAXJOBS_ADJUST_RFE4694000
 extern void job_adjust_fini();
 #endif /* MAXJOBS_ADJUST_RFE4694000 */
-#endif /* TEAMWARE_MAKE_CMN */
 
 
 /*
@@ -121,23 +119,19 @@
 static	Boolean		getname_stat = false;
 #endif
 
-#if defined(TEAMWARE_MAKE_CMN)
 	static	time_t		start_time;
 	static	int		g_argc;
 	static	char		**g_argv;
-#endif
 
 /*
  * File table of contents
  */
 	extern "C" void		cleanup_after_exit(void);
 
-#ifdef TEAMWARE_MAKE_CMN
 extern "C" {
 	extern	void		dmake_exit_callback(void);
 	extern	void		dmake_message_callback(char *);
 }
-#endif
 
 extern	Name		normalize_name(register wchar_t *name_string, register int length);
 
@@ -160,9 +154,7 @@
 
 extern void expand_value(Name, register String , Boolean);
 
-#ifdef TEAMWARE_MAKE_CMN
-	static const char	verstring[] = "illumos make";
-#endif
+static const char	verstring[] = "illumos make";
 
 jmp_buf jmpbuffer;
 extern nl_catd catd;
@@ -204,7 +196,6 @@
 	char 			*slash_ptr;
 	mode_t			um;
 	int			i;
-#ifdef TEAMWARE_MAKE_CMN
 	struct itimerval	value;
 	char			def_dmakerc_path[MAXPATHLEN];
 	Name			dmake_name, dmake_name2;
@@ -212,7 +203,6 @@
 	Property		prop, prop2;
 	struct stat		statbuf;
 	int			statval;
-#endif
 
 	struct stat		out_stat, err_stat;
 	hostid = gethostid();
@@ -227,34 +217,26 @@
 	}
 #endif
 
-#if defined(TEAMWARE_MAKE_CMN)
 	catd = catopen(AVO_DOMAIN_DMAKE, NL_CAT_LOCALE);
-#endif
 
 // ---> fprintf(stderr, catgets(catd, 15, 666, "--- SUN make ---\n"));
 
 
-#if defined(TEAMWARE_MAKE_CMN)
 /*
  * I put libmksdmsi18n_init() under #ifdef because it requires avo_i18n_init()
  * from avo_util library. 
  */
 	libmksdmsi18n_init();
-#endif
 
 
-#ifndef TEAMWARE_MAKE_CMN
 	textdomain(NOCATGETS("SUNW_SPRO_MAKE"));
-#endif /* TEAMWARE_MAKE_CMN */
 
-#ifdef TEAMWARE_MAKE_CMN
 	g_argc = argc;
 	g_argv = (char **) malloc((g_argc + 1) * sizeof(char *));
 	for (i = 0; i < argc; i++) {
 		g_argv[i] = argv[i];
 	}
 	g_argv[i] = NULL;
-#endif /* TEAMWARE_MAKE_CMN */
 
 	/*
 	 * Set argv_zero_string to some form of argv[0] for
@@ -403,7 +385,6 @@
 
 	read_files_and_state(argc, argv);
 
-#ifdef TEAMWARE_MAKE_CMN
 	/*
 	 * Find the dmake_output_mode: TXT1, TXT2 or HTML1.
 	 */
@@ -471,9 +452,7 @@
 		}
 	}
     }
-#endif
 
-#ifdef TEAMWARE_MAKE_CMN
 	parallel_flag = true;
 	putenv(strdup(NOCATGETS("DMAKE_CHILD=TRUE")));
 
@@ -486,11 +465,7 @@
 		dmake_mode_type = serial_mode;
 		no_parallel = true;
 	}
-#else
-	parallel_flag = false;
-#endif
 
-#if defined (TEAMWARE_MAKE_CMN)
 	/*
 	 * Check whether stdout and stderr are physically same.
 	 * This is in order to decide whether we need to redirect
@@ -514,7 +489,6 @@
 			}
 		}
 	}
-#endif
 
 		
 /*
@@ -691,23 +665,19 @@
 		MBSTOWCS(wcs_buffer, NOCATGETS(".FAILED"));
 		failed_name = GETNAME(wcs_buffer, FIND_LENGTH);
 		if ((exit_status != 0) && (failed_name->prop != NULL)) {
-#ifdef TEAMWARE_MAKE_CMN
 			/*
 			 * [tolik] switch DMake to serial mode
 			 */
 			dmake_mode_type = serial_mode;
 			no_parallel = true;
-#endif
 			(void) doname(failed_name, false, true);
 		} else {
 		    if (!trace_status) {
-#ifdef TEAMWARE_MAKE_CMN
 			/*
 			 * Switch DMake to serial mode
 			 */
 			dmake_mode_type = serial_mode;
 			no_parallel = true;
-#endif
 			(void) doname(done, false, true);
 		    }
 		}
@@ -810,10 +780,8 @@
 		bsd_signal(SIGTERM, SIG_IGN);
 		kill (-getpid(), SIGTERM);
 	}
-#ifdef TEAMWARE_MAKE_CMN
 	/* Clean up all parallel/distributed children already finished */
         finish_children(false);
-#endif
 
 	/* Make sure the processes running under us terminate first */
 
@@ -965,11 +933,7 @@
 
 #define SUNPRO_CMD_OPTS	"-~Bbc:Ddef:g:ij:K:kM:m:NnO:o:PpqRrSsTtuVvwx:"
 
-#ifdef TEAMWARE_MAKE_CMN
 #	define SVR4_CMD_OPTS   "-c:ef:g:ij:km:nO:o:pqrsTtVv"
-#else
-#	define SVR4_CMD_OPTS   "-ef:iknpqrstV"
-#endif
 
 	/*
 	 * Added V in SVR4_CMD_OPTS also, which is going to be a hidden
@@ -1046,22 +1010,14 @@
 
 		if (ch == '?') {
 			if (svr4) {
-#ifdef TEAMWARE_MAKE_CMN
 				fprintf(stderr,
 					catgets(catd, 1, 267, "Usage : dmake [ -f makefile ][ -c dmake_rcfile ][ -g dmake_group ]\n"));
 				fprintf(stderr,
 					catgets(catd, 1, 268, "              [ -j dmake_max_jobs ][ -m dmake_mode ][ -o dmake_odir ]...\n"));
 				fprintf(stderr,
 					catgets(catd, 1, 269, "              [ -e ][ -i ][ -k ][ -n ][ -p ][ -q ][ -r ][ -s ][ -t ][ -v ]\n"));
-#else
-				fprintf(stderr,
-					catgets(catd, 1, 270, "Usage : make [ -f makefile ]... [ -e ][ -i ][ -k ][ -n ][ -p ][ -q ][ -r ]\n"));
-				fprintf(stderr,
-					catgets(catd, 1, 271, "             [ -s ][ -t ]\n"));
-#endif
 				tptr = strchr(SVR4_CMD_OPTS, optopt);
 			} else {
-#ifdef TEAMWARE_MAKE_CMN
 				fprintf(stderr,
 					catgets(catd, 1, 272, "Usage : dmake [ -f makefile ][ -c dmake_rcfile ][ -g dmake_group ]\n"));
 				fprintf(stderr,
@@ -1070,14 +1026,6 @@
 					catgets(catd, 1, 274, "              [ -d ][ -dd ][ -D ][ -DD ][ -e ][ -i ][ -k ][ -n ][ -p ][ -P ][ -u ][ -w ]\n"));
 				fprintf(stderr,
 					catgets(catd, 1, 275, "              [ -q ][ -r ][ -s ][ -S ][ -t ][ -v ][ -V ][ target... ][ macro=value... ][ \"macro +=value\"... ]\n"));
-#else
-				fprintf(stderr,
-					catgets(catd, 1, 276, "Usage : make [ -f makefile ][ -K statefile ]... [ -d ][ -dd ][ -D ][ -DD ]\n"));
-				fprintf(stderr,
-					catgets(catd, 1, 277, "             [ -e ][ -i ][ -k ][ -n ][ -p ][ -P ][ -q ][ -r ][ -s ][ -S ][ -t ]\n"));
-				fprintf(stderr,
-					catgets(catd, 1, 278, "             [ -u ][ -w ][ -V ][ target... ][ macro=value... ][ \"macro +=value\"... ]\n"));
-#endif
 				tptr = strchr(SUNPRO_CMD_OPTS, optopt);
 			}
 			if (!tptr) {
@@ -1114,33 +1062,18 @@
 				break;
 			case 2:	/* -c seen */
 				argv[i] = (char *)NOCATGETS("-c");
-#ifndef TEAMWARE_MAKE_CMN
-				warning(catgets(catd, 1, 281, "Ignoring DistributedMake -c option"));
-#endif
 				break;
 			case 4:	/* -g seen */
 				argv[i] = (char *)NOCATGETS("-g");
-#ifndef TEAMWARE_MAKE_CMN
-				warning(catgets(catd, 1, 282, "Ignoring DistributedMake -g option"));
-#endif
 				break;
 			case 8:	/* -j seen */
 				argv[i] = (char *)NOCATGETS("-j");
-#ifndef TEAMWARE_MAKE_CMN
-				warning(catgets(catd, 1, 283, "Ignoring DistributedMake -j option"));
-#endif
 				break;
 			case 16: /* -M seen */
 				argv[i] = (char *)NOCATGETS("-M");
-#ifndef TEAMWARE_MAKE_CMN
-				warning(catgets(catd, 1, 284, "Ignoring ParallelMake -M option"));
-#endif
 				break;
 			case 32: /* -m seen */
 				argv[i] = (char *)NOCATGETS("-m");
-#ifndef TEAMWARE_MAKE_CMN
-				warning(catgets(catd, 1, 285, "Ignoring DistributedMake -m option"));
-#endif
 				break;
 			case 128: /* -O seen */
 				argv[i] = (char *)NOCATGETS("-O");
@@ -1150,15 +1083,9 @@
 			        break;
 			case 512:	/* -o seen */
 				argv[i] = (char *)NOCATGETS("-o");
-#ifndef TEAMWARE_MAKE_CMN
-				warning(catgets(catd, 1, 311, "Ignoring DistributedMake -o option"));
-#endif
 				break;
 			case 1024: /* -x seen */
 				argv[i] = (char *)NOCATGETS("-x");
-#ifndef TEAMWARE_MAKE_CMN
-				warning(catgets(catd, 1, 353, "Ignoring DistributedMake -x option"));
-#endif
 				break;
 			default: /* > 1 of -c, f, g, j, K, M, m, O, o, x seen */
 				fatal(catgets(catd, 1, 286, "Illegal command line. More than one option requiring\nan argument given in the same argument group"));
@@ -1541,7 +1468,6 @@
 		}
 		return 0;
 	case 'R':			 /* Don't run in parallel */
-#ifdef TEAMWARE_MAKE_CMN
 		if (invert_this) {
 			pmake_cap_r_specified = false;
 			no_parallel = false;
@@ -1550,9 +1476,6 @@
 			dmake_mode_type = serial_mode;
 			no_parallel = true;
 		}
-#else
-		warning(catgets(catd, 1, 182, "Ignoring ParallelMake -R option"));
-#endif
 		return 0;
 	case 'r':			 /* Turn off internal rules */
 		if (invert_this) {
@@ -1605,13 +1528,9 @@
 	case 'v':			/* Version flag */
 		if (invert_this) {
 		} else {
-#ifdef TEAMWARE_MAKE_CMN
 			fprintf(stdout, NOCATGETS("dmake: %s\n"), verstring);
 			exit_status = 0;
 			exit(0);
-#else
-			warning(catgets(catd, 1, 324, "Ignoring DistributedMake -v option"));
-#endif
 		}
 		return 0;
 	case 'w':			 /* Unconditional flag */
@@ -2876,7 +2795,6 @@
 /*
  *	make remaining args
  */
-#ifdef TEAMWARE_MAKE_CMN
 /*
 	if ((report_dependencies_level == 0) && parallel) {
  */
@@ -2957,7 +2875,6 @@
 		//		setjmp(jmpbuffer);
 		
 	}
-#endif
 	for (i = 1; i < argc; i++) {
 		if ((cp = argv[i]) != NULL) {
 			target_to_make_found = true;
@@ -3049,12 +2966,7 @@
 		}
 
 
-#ifdef TEAMWARE_MAKE_CMN
 		result = doname_parallel(default_target_to_build, true, false);
-#else
-		result = doname_check(default_target_to_build, true,
-				      false, false);
-#endif
 		gather_recursive_deps();
 		if (build_failed_seen) {
 			build_failed_ever_seen = true;
@@ -3322,47 +3234,23 @@
 	if(report_cwd) {
 		if(make_level_val <= 0) {
 			if(entering) {
-#ifdef TEAMWARE_MAKE_CMN
 				sprintf( rcwd
 				       , catgets(catd, 1, 329, "dmake: Entering directory `%s'\n")
 				       , get_current_path());
-#else
-				sprintf( rcwd
-				       , catgets(catd, 1, 330, "make: Entering directory `%s'\n")
-				       , get_current_path());
-#endif
 			} else {
-#ifdef TEAMWARE_MAKE_CMN
 				sprintf( rcwd
 				       , catgets(catd, 1, 331, "dmake: Leaving directory `%s'\n")
 				       , get_current_path());
-#else
-				sprintf( rcwd
-				       , catgets(catd, 1, 332, "make: Leaving directory `%s'\n")
-				       , get_current_path());
-#endif
 			}
 		} else {
 			if(entering) {
-#ifdef TEAMWARE_MAKE_CMN
 				sprintf( rcwd
 				       , catgets(catd, 1, 333, "dmake[%d]: Entering directory `%s'\n")
 				       , make_level_val, get_current_path());
-#else
-				sprintf( rcwd
-				       , catgets(catd, 1, 334, "make[%d]: Entering directory `%s'\n")
-				       , make_level_val, get_current_path());
-#endif
 			} else {
-#ifdef TEAMWARE_MAKE_CMN
 				sprintf( rcwd
 				       , catgets(catd, 1, 335, "dmake[%d]: Leaving directory `%s'\n")
 				       , make_level_val, get_current_path());
-#else
-				sprintf( rcwd
-				       , catgets(catd, 1, 336, "make[%d]: Leaving directory `%s'\n")
-				       , make_level_val, get_current_path());
-#endif
 			}
 		}
 		printf(NOCATGETS("%s"), rcwd);
--- old/usr/src/cmd/make/bin/misc.cc	2015-05-20 11:58:29.399478755 -0400
+++ new/usr/src/cmd/make/bin/misc.cc	2015-05-20 11:58:29.411413890 -0400
@@ -47,13 +47,11 @@
 #include <vroot/report.h>	/* SUNPRO_DEPENDENCIES */
 
 
-#ifdef TEAMWARE_MAKE_CMN
 #define MAXJOBS_ADJUST_RFE4694000
 
 #ifdef MAXJOBS_ADJUST_RFE4694000
 extern void job_adjust_fini();
 #endif /* MAXJOBS_ADJUST_RFE4694000 */
-#endif /* TEAMWARE_MAKE_CMN */
 
 
 /*
@@ -158,7 +156,6 @@
 		exit(1);
 	}
 	fatal_in_progress = true;
-#ifdef TEAMWARE_MAKE_CMN
 	/* Let all parallel children finish */
 	if ((dmake_mode_type == parallel_mode) &&
 	    (parallel_process_cnt > 0)) {
@@ -174,7 +171,6 @@
 		await_parallel(true);
 		finish_children(false);
 	}
-#endif
 
 #if defined (TEAMWARE_MAKE_CMN) && defined (MAXJOBS_ADJUST_RFE4694000)
 	job_adjust_fini();
--- old/usr/src/cmd/make/bin/parallel.cc	2015-05-20 11:58:29.871154926 -0400
+++ new/usr/src/cmd/make/bin/parallel.cc	2015-05-20 11:58:29.883186641 -0400
@@ -23,7 +23,6 @@
  * Use is subject to license terms.
  */
 
-#ifdef TEAMWARE_MAKE_CMN
 
 /*
  *	parallel.cc
@@ -69,11 +68,9 @@
 /*
  * Static variables
  */
-#ifdef TEAMWARE_MAKE_CMN
 static	Boolean		just_did_subtree = false;
 static	char		local_host[MAXNAMELEN] = "";
 static	char		user_name[MAXNAMELEN] = "";
-#endif
 static	int		pmake_max_jobs = 0;
 static	pid_t		process_running = -1;
 static	Running		*running_tail = &running_list;
@@ -261,7 +258,6 @@
 }
 
 
-#ifdef TEAMWARE_MAKE_CMN
 #define MAXJOBS_ADJUST_RFE4694000
 
 #ifdef MAXJOBS_ADJUST_RFE4694000
@@ -551,7 +547,6 @@
 }
 
 #endif /* MAXJOBS_ADJUST_RFE4694000 */
-#endif /* TEAMWARE_MAKE_CMN */
 
 /*
  *	distribute_process(char **commands, Property line)
@@ -671,7 +666,7 @@
 
 	stdout_file = strdup(mbstring);
 	stderr_file = NULL;
-#if defined (TEAMWARE_MAKE_CMN)
+
 	if (!out_err_same) {
 		(void) sprintf(mbstring,
 			        NOCATGETS("%s/dmake.stderr.%d.%d.XXXXXX"),
@@ -683,7 +678,6 @@
 
 		stderr_file = strdup(mbstring);
 	}
-#endif
 
 	process_running = run_rule_commands(local_host, commands);
 
@@ -1927,5 +1921,4 @@
 
 }
 
-#endif
 
--- old/usr/src/cmd/make/bin/pmake.cc	2015-05-20 11:58:30.408426992 -0400
+++ new/usr/src/cmd/make/bin/pmake.cc	2015-05-20 11:58:30.420783719 -0400
@@ -23,7 +23,6 @@
  * Use is subject to license terms.
  */
 
-#ifdef TEAMWARE_MAKE_CMN
 
 /*
  * Included files
@@ -417,5 +416,4 @@
 	}
 }
 
-#endif
 
--- old/usr/src/cmd/make/include/mk/defs.h	2015-05-20 11:58:30.833921766 -0400
+++ new/usr/src/cmd/make/include/mk/defs.h	2015-05-20 11:58:30.846029300 -0400
@@ -120,19 +120,13 @@
 	int			auto_count;
 	struct _Name		**automatics;
 	pid_t			pid;
-#ifdef TEAMWARE_MAKE_CMN
 	int			job_msg_id;
-#else
-	int			host;
-#endif
 	char			*stdout_file;
 	char			*stderr_file;
 	struct _Name		*temp_file;
 	int			conditional_cnt;
 	struct _Name		**conditional_targets;
-#ifdef TEAMWARE_MAKE_CMN
 	Boolean			make_refd;
-#endif
 };
 
 typedef enum {
@@ -228,9 +222,7 @@
 extern	int		job_msg_id;
 extern	Boolean		keep_state;
 extern	Name		make_state;
-#ifdef TEAMWARE_MAKE_CMN
 extern	timestruc_t	make_state_before;
-#endif
 extern	Boolean		make_state_locked;
 extern	Dependency	makefiles_used;
 extern	Name		makeflags;
@@ -321,9 +313,7 @@
 extern	void		add_serial(Name target, int recursion_level, Boolean do_get, Boolean implicit);
 extern	void		add_subtree(Name target, int recursion_level, Boolean do_get, Boolean implicit);
 extern  void 		append_or_replace_macro_in_dyn_array(ASCII_Dyn_Array *Ar, char *macro);
-#ifdef TEAMWARE_MAKE_CMN
 extern	void		await_parallel(Boolean waitflg);
-#endif
 extern	void		build_suffix_list(Name target_suffix);
 extern	Boolean		check_auto_dependencies(Name target, int auto_count, Name *automatics);
 extern	void		check_state(Name temp_file_name);
--- old/usr/src/cmd/make/include/mksh/defs.h	2015-05-20 11:58:32.278121953 -0400
+++ new/usr/src/cmd/make/include/mksh/defs.h	2015-05-20 11:58:32.290032514 -0400
@@ -25,12 +25,6 @@
  * Use is subject to license terms.
  */
 
-/*
- * This is not "#ifdef TEAMWARE_MAKE_CMN" because we're currently
- * using the TW fake i18n headers and libraries to build both
- * SMake and PMake on SPARC/S1 and x86/S2.
- */
-
 #include <avo/intl.h>
 #include <limits.h>		/* MB_LEN_MAX */
 #include <stdio.h>
@@ -902,9 +896,7 @@
 extern Boolean		vpath_defined;
 extern Name		vpath_name;
 extern Boolean		make_state_locked;
-#if defined (TEAMWARE_MAKE_CMN)
 extern Boolean		out_err_same;
-#endif
 extern pid_t		childPid;
 extern nl_catd		libmksh_catd;
 
--- old/usr/src/cmd/make/lib/mksh/globals.cc	2015-05-20 11:58:32.759641312 -0400
+++ new/usr/src/cmd/make/lib/mksh/globals.cc	2015-05-20 11:58:32.773786177 -0400
@@ -114,9 +114,7 @@
 Name		vpath_name;
 wchar_t		wcs_buffer[MAXPATHLEN];
 Boolean		working_on_targets;
-#if defined (TEAMWARE_MAKE_CMN)
 Boolean		out_err_same;
-#endif
 pid_t		childPid = -1;	// This variable is used for killing child's process
 				// Such as qrsh, running command, etc.
 
